about summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/__dispatch.sh67
l---------bin/age1
l---------bin/age-keygen1
l---------bin/aoc20191
l---------bin/depot-build1
l---------bin/gerrit1
l---------bin/git-bug1
l---------bin/hash-password1
l---------bin/kontemplate1
l---------bin/meson1
l---------bin/ninja1
l---------bin/rebuild-system1
l---------bin/rebuilder1
l---------bin/rink1
l---------bin/stern1
l---------bin/terraform1
16 files changed, 82 insertions, 0 deletions
diff --git a/bin/__dispatch.sh b/bin/__dispatch.sh
new file mode 100755
index 0000000000..fa954ae29c
--- /dev/null
+++ b/bin/__dispatch.sh
@@ -0,0 +1,67 @@
+#!/usr/bin/env bash
+# This script dispatches invocations transparently to programs instantiated from
+# Nix.
+#
+# To add a new tool, insert it into the case statement below by setting `attr`
+# to the key in nixpkgs which represents the program you want to run.
+set -ueo pipefail
+
+readonly REPO_ROOT=$(dirname "$0")/..
+TARGET_TOOL=$(basename "$0")
+
+case "${TARGET_TOOL}" in
+  terraform)
+    attr="third_party.terraform-gcp"
+    ;;
+  kontemplate)
+    attr="kontemplate"
+    ;;
+  stern)
+    attr="third_party.stern"
+    ;;
+  aoc2019)
+    attr="fun.aoc2019.${1}"
+    ;;
+  rink)
+    attr="third_party.rink"
+    ;;
+  age)
+    attr="third_party.age"
+    ;;
+  age-keygen)
+    attr="third_party.age"
+    ;;
+  rebuilder)
+    attr="users.tazjin.nixos.rebuilder"
+    ;;
+  meson)
+    attr="third_party.meson"
+    ;;
+  ninja)
+    attr="third_party.ninja"
+    ;;
+  git-bug)
+    attr="third_party.git-bug"
+    ;;
+  depot-build)
+    attr="tools.depot-build"
+    ;;
+  gerrit)
+    attr="tools.gerrit-cli"
+    ;;
+  hash-password)
+    attr="tools.hash-password"
+    ;;
+  rebuild-system)
+    attr="ops.nixos.rebuild-system"
+    ;;
+  *)
+    echo "The tool '${TARGET_TOOL}' is currently not installed in this repository."
+    exit 1
+    ;;
+esac
+
+result=$(nix-build --no-out-link --attr "${attr}" "${REPO_ROOT}")
+PATH="${result}/bin:$PATH"
+
+exec "${TARGET_TOOL}" "${@}"
diff --git a/bin/age b/bin/age
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/age
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/age-keygen b/bin/age-keygen
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/age-keygen
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/aoc2019 b/bin/aoc2019
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/aoc2019
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/depot-build b/bin/depot-build
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/depot-build
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/gerrit b/bin/gerrit
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/gerrit
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/git-bug b/bin/git-bug
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/git-bug
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/hash-password b/bin/hash-password
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/hash-password
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/kontemplate b/bin/kontemplate
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/kontemplate
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/meson b/bin/meson
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/meson
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/ninja b/bin/ninja
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/ninja
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/rebuild-system b/bin/rebuild-system
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/rebuild-system
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/rebuilder b/bin/rebuilder
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/rebuilder
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/rink b/bin/rink
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/rink
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/stern b/bin/stern
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/stern
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file
diff --git a/bin/terraform b/bin/terraform
new file mode 120000
index 0000000000..8390ec9c96
--- /dev/null
+++ b/bin/terraform
@@ -0,0 +1 @@
+__dispatch.sh
\ No newline at end of file